| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
MPE::uiHorizonSetupGroup Class Reference
uiMPE

Horizon tracking setup dialog. More...

`#include <uihorizontracksetup.h>`

Inheritance diagram for MPE::uiHorizonSetupGroup:
[legend]

## Public Member Functions
| ~uiHorizonSetupGroup ()
bool | commitToTracker () const override
bool | commitToTracker (bool &fieldchange) const override
NotifierAccess * | correlationChangeNotifier () override
void | enableTracking (bool)
NotifierAccess * | eventChangeNotifier () override
const OD::Color & | getColor () override
int | getLineWidth () const override
const MarkerStyle3D & | getMarkerStyle () override
EMSeedPicker::TrackMode | getMode () const override
EventTracker::CompareMethod | getTrackingMethod () const override
NotifierAccess * | modeChangeNotifier () override
NotifierAccess * | propertyChangeNotifier () override
void | setColor (const OD::Color &) override
void | setLineWidth (int) override
void | setMarkerStyle (const MarkerStyle3D &) override
void | setMode (EMSeedPicker::TrackMode) override
void | setMPEPartServer (uiMPEPartServer *) override
void | setSectionTracker (SectionTracker *) override
void | setSeedPos (const TrcKeyValue &) override
void | setTrackingMethod (EventTracker::CompareMethod) override
void | showGroupOnTop (const char *grpnm) override
void | updateAttribute () override
NotifierAccess * | varianceChangeNotifier ()
Public Member Functions inherited from MPE::uiSetupGroup
| ~uiSetupGroup ()
Public Member Functions inherited from uiGroup
| uiGroup (uiParent *, const char *nm="uiGroup", bool manage=true)
virtual | ~uiGroup ()
void | adjustSize ()
uiObject * | attachObj ()
const uiObject * | attachObj () const
uiObject * | hAlignObj ()
uiObject * | hCenterObj ()
uiMainWin * | mainwin () override
| mOD_DisableCopy (uiGroup) inline operator const uiGroupObj *() const
| operator const uiObject & () const
| operator uiGroupObj * ()
| operator uiObject & ()
uiParent * | parent ()
const uiParent * | parent () const
Notifier< uiBaseObject > & | postFinalise () override
Notifier< uiBaseObject > & | postFinalize () override
Notifier< uiBaseObject > & | preFinalise () override
Notifier< uiBaseObject > & | preFinalize () override
void | setBorder (int l, int t, int r, int b)
void | setBorder (int)
void | setChildrenSensitive (bool)
void | setFrame (bool yn=true)
void | setHAlignObj (uiGroup *o)
void | setHAlignObj (uiObject *)
void | setHCenterObj (uiGroup *o)
void | setHCenterObj (uiObject *)
void | setHSpacing (int)
void | setIsMain (bool)
| internal use only. Tells the layout manager it's a toplevel mngr.
void | setNoBackGround ()
virtual void | setSize (const uiSize &)
void | setSpacing (int s=0)
void | setVSpacing (int)
Public Member Functions inherited from uiParent
uiSize | actualsize (bool inclborder=true) const
uiSize | actualSize (bool include_border) const
void | addChild (uiBaseObject &)
void | attach (ConstraintType, int margin=-1)
void | attach (ConstraintType, uiObject *oth, int margin=-1, bool reciprocal=true)
void | attach (ConstraintType, uiParent *oth, int margin=-1, bool reciprocal=true)
void | attachChild (ConstraintType tp, uiObject *child, uiObject *other, int margin, bool reciprocal)
OD::Color | backgroundColor () const
const ObjectSet< uiBaseObject > * | childList () const
void | deepRedraw (CallBacker *)
virtual void | display (bool yn, bool shrk=false, bool maximize=false)
const uiFont * | font () const
bool | hasFocus () const
bool | isDisplayed () const
uiObject * | mainObject ()
const uiObject * | mainObject () const
void | manageChild (uiBaseObject &, uiObjectBody &)
uiParentBody * | pbody ()
const uiParentBody * | pbody () const
int | prefHNrPics () const
int | prefVNrPics () const
virtual void | reDraw (bool deep)
OD::Color | roBackgroundColor () const
bool | sensitive () const
void | setBackgroundColor (const OD::Color &)
void | setCaption (const uiString &)
void | setCursor (const MouseCursor &)
void | setFocus ()
void | setFont (const uiFont &)
void | setPrefHeight (int h)
void | setPrefHeightInChar (float h)
void | setPrefHeightInChar (int h)
void | setPrefWidth (int w)
void | setPrefWidthInChar (float w)
void | setPrefWidthInChar (int w)
void | setSensitive (bool yn=true)
void | setStretch (int h, int v)
void | shallowRedraw (CallBacker *)
int | stretch (bool h) const
void | translateText () override
Public Member Functions inherited from uiBaseObject
virtual | ~uiBaseObject ()
int | beginCmdRecEvent (const BufferString &msg)
int | beginCmdRecEvent (const char *msg=0)
int | beginCmdRecEvent (od_uint64 id, const char *msg=0)
uiBody * | body ()
const uiBody * | body () const
void | clear ()
void | endCmdRecEvent (int refnr, const char *msg=0)
void | endCmdRecEvent (od_uint64 id, int refnr, const char *msg=0)
void | finalise ()
bool | finalised () const
bool | finalized () const
virtual QWidget * | getWidget ()
const QWidget * | getWidget () const
| mOD_DisableCopy (uiBaseObject) void final ize()
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Protected Member Functions
| uiHorizonSetupGroup (uiParent *, bool is2d)
void | colorChangeCB (CallBacker *)
uiGroup * | createModeGroup ()
uiGroup * | createPropertyGroup ()
uiGroup * | createVarianceGroup ()
void | enabTrackCB (CallBacker *)
void | horizonSelCB (CallBacker *)
void | initModeGroup ()
void | initPropertyGroup ()
virtual void | initStuff ()
void | initToolBar ()
void | initVarianceGroup ()
void | mpeActionCB (CallBacker *)
void | redoCB (CallBacker *)
void | retrackCB (CallBacker *)
void | saveCB (CallBacker *)
void | seedColSel (CallBacker *)
void | seedModeChange (CallBacker *)
void | seedSliderMove (CallBacker *)
void | seedTypeSel (CallBacker *)
void | selectAttribCB (CallBacker *)
void | selUseVariance (CallBacker *)
void | specColorChangeCB (CallBacker *)
void | startCB (CallBacker *)
void | stopCB (CallBacker *)
void | undoCB (CallBacker *)
void | updateButtonSensitivity ()
void | varianceChangeCB (CallBacker *)
Protected Member Functions inherited from MPE::uiSetupGroup
| uiSetupGroup (uiParent *, const char *helpref)
Protected Member Functions inherited from uiGroup
void | attach_ (ConstraintType, uiObject *oth, int margin=-1, bool reciprocal=true) override
void | bodyDel (CallBacker *)
uiObject * | mainobject () override
virtual void | reDraw_ (bool deep)
void | reSizeChildren (const uiObject *, float, float)
void | setFrameStyle (int)
void | setShrinkAllowed (bool)
bool | shrinkAllowed ()
void | uiobjDel (CallBacker *)
Protected Member Functions inherited from uiParent
| uiParent (const char *nm, uiParentBody *)
| ~uiParent ()
| mOD_DisableCopy (uiParent) virtual void attach_(ConstraintType
Protected Member Functions inherited from uiBaseObject
| uiBaseObject (const char *nm, uiBody *=nullptr)
void | setBody (uiBody *b)
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Static Protected Member Functions
static const VSEvent::Type * | cEventTypes ()
static const char ** | sKeyEventNames ()

## Protected Attributes
uiCheckBox * | betweenseedsfld_
uiColorInput * | colorfld_
uiCorrelationGroup * | correlationgrp_
uiEventGroup * | eventgrp_
uiGenInput * | failfld_ = nullptr
HorizonAdjuster * | horadj_ = nullptr
bool | is2d_
uiSlider * | linewidthfld_
uiColorInput * | lockcolfld_
MarkerStyle3D | markerstyle_
uiGenInput * | methodfld_
EMSeedPicker::TrackMode | mode_
Notifier< uiHorizonSetupGroup > | modeChanged_
uiButtonGroup * | modeselgrp_
uiMPEPartServer * | mps_ = nullptr
uiColorInput * | parentcolfld_
Notifier< uiHorizonSetupGroup > | propertyChanged_
int | redobutid_
int | retrackbutid_
int | savebutid_
SectionTracker * | sectiontracker_ = nullptr
uiColorInput * | seedcolselfld_
uiSlider * | seedsliderfld_
uiGenInput * | seedtypefld_
uiColorInput * | selectioncolfld_
uiCheckBox * | snapfld_
int | startbutid_
int | stopbutid_
uiTabStack * | tabgrp_
uiToolBar * | toolbar_
int | trackbutid_
int | undobutid_
uiGenInput * | usevarfld_
Notifier< uiHorizonSetupGroup > | varianceChanged_
uiSeisSel * | variancefld_
uiGenInput * | varthresholdfld_
Protected Attributes inherited from uiGroup
uiGroupParentBody * | body_
uiGroupObj * | grpobj_
Protected Attributes inherited from uiParent
uiObject int | margin =-1
uiObject * | oth
uiObject int bool | reciprocal =true)
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from uiGroup
static uiGroup * | gtDynamicCastToGrp (QWidget *)
Static Public Member Functions inherited from uiBaseObject
static void | addCmdRecorder (const CallBack &)
static void | removeCmdRecorder (const CallBack &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Public Attributes inherited from MPE::uiSetupGroup
BufferString | helpref_

## Detailed Description

Horizon tracking setup dialog.

<>

## Constructor & Destructor Documentation

## ◆ ~uiHorizonSetupGroup()

MPE::uiHorizonSetupGroup::~uiHorizonSetupGroup | ( |  | ) |

## ◆ uiHorizonSetupGroup()

MPE::uiHorizonSetupGroup::uiHorizonSetupGroup | ( | uiParent * | ,
|  | bool | is2d )
| protected

## Member Function Documentation

## ◆ cEventTypes()

static const VSEvent::Type * MPE::uiHorizonSetupGroup::cEventTypes | ( |  | ) |
| static protected

## ◆ colorChangeCB()

void MPE::uiHorizonSetupGroup::colorChangeCB | ( | CallBacker * |  | ) |
| protected

## ◆ commitToTracker() [1/2]

bool MPE::uiHorizonSetupGroup::commitToTracker | ( |  | ) | const
| inline override virtual

Reimplemented from MPE::uiSetupGroup.

## ◆ commitToTracker() [2/2]

bool MPE::uiHorizonSetupGroup::commitToTracker | ( | bool & | fieldchange | ) | const
| override virtual

Reimplemented from MPE::uiSetupGroup.

## ◆ correlationChangeNotifier()

NotifierAccess * MPE::uiHorizonSetupGroup::correlationChangeNotifier | ( |  | ) |
| override virtual

Reimplemented from MPE::uiSetupGroup.

## ◆ createModeGroup()

uiGroup * MPE::uiHorizonSetupGroup::createModeGroup | ( |  | ) |
| protected

## ◆ createPropertyGroup()

uiGroup * MPE::uiHorizonSetupGroup::createPropertyGroup | ( |  | ) |
| protected

## ◆ createVarianceGroup()

uiGroup * MPE::uiHorizonSetupGroup::createVarianceGroup | ( |  | ) |
| protected

## ◆ enableTracking()

void MPE::uiHorizonSetupGroup::enableTracking | ( | bool |  | ) |

## ◆ enabTrackCB()

void MPE::uiHorizonSetupGroup::enabTrackCB | ( | CallBacker * |  | ) |
| protected

## ◆ eventChangeNotifier()

NotifierAccess * MPE::uiHorizonSetupGroup::eventChangeNotifier | ( |  | ) |
| override virtual

Reimplemented from MPE::uiSetupGroup.

## ◆ getColor()

const OD::Color & MPE::uiHorizonSetupGroup::getColor | ( |  | ) |
| override virtual

Implements MPE::uiSetupGroup.

## ◆ getLineWidth()

int MPE::uiHorizonSetupGroup::getLineWidth | ( |  | ) | const
| override virtual

Implements MPE::uiSetupGroup.

## ◆ getMarkerStyle()

const MarkerStyle3D & MPE::uiHorizonSetupGroup::getMarkerStyle | ( |  | ) |
| override virtual

Implements MPE::uiSetupGroup.

## ◆ getMode()

EMSeedPicker::TrackMode MPE::uiHorizonSetupGroup::getMode | ( |  | ) | const
| override virtual

Implements MPE::uiSetupGroup.

## ◆ getTrackingMethod()

EventTracker::CompareMethod MPE::uiHorizonSetupGroup::getTrackingMethod | ( |  | ) | const
| override virtual

Implements MPE::uiSetupGroup.

## ◆ horizonSelCB()

void MPE::uiHorizonSetupGroup::horizonSelCB | ( | CallBacker * |  | ) |
| protected

## ◆ initModeGroup()

void MPE::uiHorizonSetupGroup::initModeGroup | ( |  | ) |
| protected

## ◆ initPropertyGroup()

void MPE::uiHorizonSetupGroup::initPropertyGroup | ( |  | ) |
| protected

## ◆ initStuff()

virtual void MPE::uiHorizonSetupGroup::initStuff | ( |  | ) |
| protected virtual

## ◆ initToolBar()

void MPE::uiHorizonSetupGroup::initToolBar | ( |  | ) |
| protected

## ◆ initVarianceGroup()

void MPE::uiHorizonSetupGroup::initVarianceGroup | ( |  | ) |
| protected

## ◆ modeChangeNotifier()

NotifierAccess * MPE::uiHorizonSetupGroup::modeChangeNotifier | ( |  | ) |
| inline override virtual

Reimplemented from MPE::uiSetupGroup.

## ◆ mpeActionCB()

void MPE::uiHorizonSetupGroup::mpeActionCB | ( | CallBacker * |  | ) |
| protected

## ◆ propertyChangeNotifier()

NotifierAccess * MPE::uiHorizonSetupGroup::propertyChangeNotifier | ( |  | ) |
| inline override virtual

Reimplemented from MPE::uiSetupGroup.

## ◆ redoCB()

void MPE::uiHorizonSetupGroup::redoCB | ( | CallBacker * |  | ) |
| protected

## ◆ retrackCB()

void MPE::uiHorizonSetupGroup::retrackCB | ( | CallBacker * |  | ) |
| protected

## ◆ saveCB()

void MPE::uiHorizonSetupGroup::saveCB | ( | CallBacker * |  | ) |
| protected

## ◆ seedColSel()

void MPE::uiHorizonSetupGroup::seedColSel | ( | CallBacker * |  | ) |
| protected

## ◆ seedModeChange()

void MPE::uiHorizonSetupGroup::seedModeChange | ( | CallBacker * |  | ) |
| protected

## ◆ seedSliderMove()

void MPE::uiHorizonSetupGroup::seedSliderMove | ( | CallBacker * |  | ) |
| protected

## ◆ seedTypeSel()

void MPE::uiHorizonSetupGroup::seedTypeSel | ( | CallBacker * |  | ) |
| protected

## ◆ selectAttribCB()

void MPE::uiHorizonSetupGroup::selectAttribCB | ( | CallBacker * |  | ) |
| protected

## ◆ selUseVariance()

void MPE::uiHorizonSetupGroup::selUseVariance | ( | CallBacker * |  | ) |
| protected

## ◆ setColor()

void MPE::uiHorizonSetupGroup::setColor | ( | const OD::Color & |  | ) |
| override virtual

Reimplemented from MPE::uiSetupGroup.

## ◆ setLineWidth()

void MPE::uiHorizonSetupGroup::setLineWidth | ( | int |  | ) |
| override virtual

Reimplemented from MPE::uiSetupGroup.

## ◆ setMarkerStyle()

void MPE::uiHorizonSetupGroup::setMarkerStyle | ( | const MarkerStyle3D & |  | ) |
| override virtual

Reimplemented from MPE::uiSetupGroup.

## ◆ setMode()

void MPE::uiHorizonSetupGroup::setMode | ( | EMSeedPicker::TrackMode |  | ) |
| override virtual

Reimplemented from MPE::uiSetupGroup.

## ◆ setMPEPartServer()

void MPE::uiHorizonSetupGroup::setMPEPartServer | ( | uiMPEPartServer * |  | ) |
| override virtual

Reimplemented from MPE::uiSetupGroup.

## ◆ setSectionTracker()

void MPE::uiHorizonSetupGroup::setSectionTracker | ( | SectionTracker * |  | ) |
| override virtual

Reimplemented from MPE::uiSetupGroup.

## ◆ setSeedPos()

void MPE::uiHorizonSetupGroup::setSeedPos | ( | const TrcKeyValue & |  | ) |
| override virtual

Reimplemented from MPE::uiSetupGroup.

## ◆ setTrackingMethod()

void MPE::uiHorizonSetupGroup::setTrackingMethod | ( | EventTracker::CompareMethod |  | ) |
| override virtual

Reimplemented from MPE::uiSetupGroup.

## ◆ showGroupOnTop()

void MPE::uiHorizonSetupGroup::showGroupOnTop | ( | const char * | grpnm | ) |
| override virtual

Reimplemented from MPE::uiSetupGroup.

## ◆ sKeyEventNames()

static const char ** MPE::uiHorizonSetupGroup::sKeyEventNames | ( |  | ) |
| static protected

## ◆ specColorChangeCB()

void MPE::uiHorizonSetupGroup::specColorChangeCB | ( | CallBacker * |  | ) |
| protected

## ◆ startCB()

void MPE::uiHorizonSetupGroup::startCB | ( | CallBacker * |  | ) |
| protected

## ◆ stopCB()

void MPE::uiHorizonSetupGroup::stopCB | ( | CallBacker * |  | ) |
| protected

## ◆ undoCB()

void MPE::uiHorizonSetupGroup::undoCB | ( | CallBacker * |  | ) |
| protected

## ◆ updateAttribute()

void MPE::uiHorizonSetupGroup::updateAttribute | ( |  | ) |
| override virtual

Reimplemented from MPE::uiSetupGroup.

## ◆ updateButtonSensitivity()

void MPE::uiHorizonSetupGroup::updateButtonSensitivity | ( |  | ) |
| protected

## ◆ varianceChangeCB()

void MPE::uiHorizonSetupGroup::varianceChangeCB | ( | CallBacker * |  | ) |
| protected

## ◆ varianceChangeNotifier()

NotifierAccess * MPE::uiHorizonSetupGroup::varianceChangeNotifier | ( |  | ) |
| inline

## Member Data Documentation

## ◆ betweenseedsfld_

uiCheckBox* MPE::uiHorizonSetupGroup::betweenseedsfld_
| protected

## ◆ colorfld_

uiColorInput* MPE::uiHorizonSetupGroup::colorfld_
| protected

## ◆ correlationgrp_

uiCorrelationGroup* MPE::uiHorizonSetupGroup::correlationgrp_
| protected

## ◆ eventgrp_

uiEventGroup* MPE::uiHorizonSetupGroup::eventgrp_
| protected

## ◆ failfld_

uiGenInput* MPE::uiHorizonSetupGroup::failfld_ = nullptr
| protected

## ◆ horadj_

HorizonAdjuster* MPE::uiHorizonSetupGroup::horadj_ = nullptr
| protected

## ◆ is2d_

bool MPE::uiHorizonSetupGroup::is2d_
| protected

## ◆ linewidthfld_

uiSlider* MPE::uiHorizonSetupGroup::linewidthfld_
| protected

## ◆ lockcolfld_

uiColorInput* MPE::uiHorizonSetupGroup::lockcolfld_
| protected

## ◆ markerstyle_

MarkerStyle3D MPE::uiHorizonSetupGroup::markerstyle_
| protected

## ◆ methodfld_

uiGenInput* MPE::uiHorizonSetupGroup::methodfld_
| protected

## ◆ mode_

EMSeedPicker::TrackMode MPE::uiHorizonSetupGroup::mode_
| protected

## ◆ modeChanged_

Notifier<uiHorizonSetupGroup> MPE::uiHorizonSetupGroup::modeChanged_
| protected

## ◆ modeselgrp_

uiButtonGroup* MPE::uiHorizonSetupGroup::modeselgrp_
| protected

## ◆ mps_

uiMPEPartServer* MPE::uiHorizonSetupGroup::mps_ = nullptr
| protected

## ◆ parentcolfld_

uiColorInput* MPE::uiHorizonSetupGroup::parentcolfld_
| protected

## ◆ propertyChanged_

Notifier<uiHorizonSetupGroup> MPE::uiHorizonSetupGroup::propertyChanged_
| protected

## ◆ redobutid_

int MPE::uiHorizonSetupGroup::redobutid_
| protected

## ◆ retrackbutid_

int MPE::uiHorizonSetupGroup::retrackbutid_
| protected

## ◆ savebutid_

int MPE::uiHorizonSetupGroup::savebutid_
| protected

## ◆ sectiontracker_

SectionTracker* MPE::uiHorizonSetupGroup::sectiontracker_ = nullptr
| protected

## ◆ seedcolselfld_

uiColorInput* MPE::uiHorizonSetupGroup::seedcolselfld_
| protected

## ◆ seedsliderfld_

uiSlider* MPE::uiHorizonSetupGroup::seedsliderfld_
| protected

## ◆ seedtypefld_

uiGenInput* MPE::uiHorizonSetupGroup::seedtypefld_
| protected

## ◆ selectioncolfld_

uiColorInput* MPE::uiHorizonSetupGroup::selectioncolfld_
| protected

## ◆ snapfld_

uiCheckBox* MPE::uiHorizonSetupGroup::snapfld_
| protected

## ◆ startbutid_

int MPE::uiHorizonSetupGroup::startbutid_
| protected

## ◆ stopbutid_

int MPE::uiHorizonSetupGroup::stopbutid_
| protected

## ◆ tabgrp_

uiTabStack* MPE::uiHorizonSetupGroup::tabgrp_
| protected

## ◆ toolbar_

uiToolBar* MPE::uiHorizonSetupGroup::toolbar_
| protected

## ◆ trackbutid_

int MPE::uiHorizonSetupGroup::trackbutid_
| protected

## ◆ undobutid_

int MPE::uiHorizonSetupGroup::undobutid_
| protected

## ◆ usevarfld_

uiGenInput* MPE::uiHorizonSetupGroup::usevarfld_
| protected

## ◆ varianceChanged_

Notifier<uiHorizonSetupGroup> MPE::uiHorizonSetupGroup::varianceChanged_
| protected

## ◆ variancefld_

uiSeisSel* MPE::uiHorizonSetupGroup::variancefld_
| protected

## ◆ varthresholdfld_

uiGenInput* MPE::uiHorizonSetupGroup::varthresholdfld_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025